core::trust::Errors::ServiceNameMustNotBeEmpty Struct Reference

The ServiceNameMustNotBeEmpty is thrown if an empty service name is provided when creating a store. More...

`#include <store.h>`

Inheritance diagram for core::trust::Errors::ServiceNameMustNotBeEmpty:
Collaboration diagram for core::trust::Errors::ServiceNameMustNotBeEmpty:

## Public Member Functions

| ServiceNameMustNotBeEmpty ()

## Detailed Description

The ServiceNameMustNotBeEmpty is thrown if an empty service name is provided when creating a store.

Definition at line 198 of file store.h.

## Constructor & Destructor Documentation

core::trust::Errors::ServiceNameMustNotBeEmpty::ServiceNameMustNotBeEmpty | ( |  | ) |

inline

Definition at line 200 of file store.h.

The documentation for this struct was generated from the following file:

- /build/trust-store-uD3f_u/trust-store-2.0.0+16.04.20160119/include/core/trust/store.h